petsc-3.12.4 2020-02-04
Report Typos and Errors

# MATAIJSELL

MATAIJSELL = "AIJSELL" - A matrix type to be used for sparse matrices. This matrix type is identical to MATSEQAIJSELL when constructed with a single process communicator, and MATMPIAIJSELL otherwise. As a result, for single process communicators, MatSeqAIJSetPreallocation() is supported, and similarly MatMPIAIJSetPreallocation() is supported for communicators controlling multiple processes. It is recommended that you call both of the above preallocation routines for simplicity.

### Options Database Keys

-mat_type aijsell -sets the matrix type to "AIJSELL" during a call to MatSetFromOptions()

### See Also

MatCreateMPIAIJSELL(), MATSEQAIJSELL, MATMPIAIJSELL

### Level

beginner

### Location

src/mat/impls/aij/mpi/aijsell/mpiaijsell.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages